Name: x11-util-cf-files
Version: 1.0.6
%define subrel 1
Release: %mkrel 5
Summary: Templates for imake
Group: Development/X11
BuildArch: noarch
Source: http://xorg.freedesktop.org/releases/individual/util/xorg-cf-files-%{version}.tar.bz2
Patch0: 0001-Add-mdvconfig.patch
Patch1: xorg-cf-files-1.0.6-Imake.tmpl-Invoke-ar-cq-with-binutils.patch
License: MIT
Obsoletes: xorg-cf-files < 1.0.2
BuildRequires:	x11-font-util
BuildRequires:	x11-util-macros

%description
Templates for imake

%prep
%setup -q -n xorg-cf-files-%{version}
%autopatch -p1

%build
%configure --build=%{_build} --with-config-dir=%{_datadir}/X11/config
%make

%install
%make_install

%files
%dir %_datadir/X11/config
%_datadir/X11/config/*





%changelog
* Tue Feb 15 2022 ns80 <ns80> 1.0.6-5.1.mga8
+ Revision: 1775358
- add patch xorg-cf-files-1.0.6-Imake.tmpl-Invoke-ar-cq-with-binutils from Fedora to allow building nas

* Wed Feb 12 2020 umeabot <umeabot> 1.0.6-5.mga8
+ Revision: 1501287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.6-4.mga7
+ Revision: 1277188
- Mageia 7 Mass Rebuild

* Sat Oct 15 2016 tv <tv> 1.0.6-3.mga6
+ Revision: 1060945
- use %%configure2_5x with --build=%%{_build} instead of %%old_configure

* Fri Feb 19 2016 umeabot <umeabot> 1.0.6-2.mga6
+ Revision: 970213
- Mageia 6 Mass Rebuild

* Tue Dec 22 2015 tv <tv> 1.0.6-1.mga6
+ Revision: 913427
- BR x11-font-util
- BR x11-util-macros
- new release

* Tue Sep 29 2015 tv <tv> 1.0.5-5.mga6
+ Revision: 885019
- use %%old_configure
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 741581
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 690526
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 534918
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 tv <tv> 1.0.5-1.mga4
+ Revision: 480198
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 386397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 blino <blino> 1.0.4-1.mga1
+ Revision: 3379
- imported package x11-util-cf-files


* Thu Jan 06 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.4-1mdv2011.0
+ Revision: 629005
- New version: 1.0.4
- Rediff and gitify mdvconfig patch

* Fri Dec 10 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-2mdv2011.0
+ Revision: 620446
- Use configure2_5x
- Rebuild for 2011.0

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 464158
- New version: 1.0.3
  Updated "mdvconfig" patch

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-6mdv2009.0
+ Revision: 266065
- rebuild early 2009.0 package (before pixel changes)

* Fri May 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-5mdv2009.0
+ Revision: 213515
- Define ProjectRoot, defined to /usr/X11R6 in xprint_host.cf if not
  yet defined, and MotifDir, defines to /usr/X11R6 in X11.tmpl if not
  yet defined, to /usr (actually $prefix).

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.2-4mdv2008.1
+ Revision: 99353
- general spec cleanup


* Thu Dec 14 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.2-3mdv2007.0
+ Revision: 96969
- empty
- Move man pages to /usr/share/man
  Move config files to /usr/share/X11/config

* Fri Aug 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-2mdv2007.0
+ Revision: 51668
- Obsoletes xorg-cf-files (thanks Charles A Edwards for pointing that)

* Wed Aug 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 42923
- new upstream release(1.0.2):
  * rman is not built by modular tree.
  * DefaultRGBDatabase is now in share/X11
  * Generate site.def from site.def.in to set ProjectRoot to $prefix (#22652)
- rebuild to fix cooker uploading
- ops, fixing a typo
- renamed package to x11-util-cf-files\n- added description text
- Renaming the package to be consistent with other packages' names

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Laurent Montel <lmontel@mandriva.com>
    - Add

